smb password protected share cannot be accessed

Bug #206439 reported by rob van dyck on 2008-03-25
56
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gvfs
Expired
High
gvfs (Baltix)
Undecided
Unassigned
gvfs (Ubuntu)
High
Ubuntu Desktop Bugs
nautilus (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: nautilus

Running Hardy with Nautilus 2.22.0.

I can access smb shares through nautilus when they are not password protected.
I can access the password protected share using 'smbclient'
I cannot access this password protected share using nautilus.

See included screenshot.

Please let me know what info to provide.

Kind regards,
Rob.

rob van dyck (rob-van-dyck) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. Does using gvfs-mount to mount the share works correctly? What smb server is used there?

Changed in nautilus:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete
rob van dyck (rob-van-dyck) wrote :

Thanx for your quick reply Sebastien!

I just found a thread that confirms the problem:
http://ubuntuforums.org/showthread.php?t=726543

Can you give me instructions on the use of gvfs-mount? I do not find a man/help page on the usage.

The samba server I'm connecting to is:
Domain=[LARRY] OS=[Unix] Server=[Samba 3.0.10]

rob van dyck (rob-van-dyck) wrote :

*aargh* Sorry, Is was a bit quick there, the thread is about a different problem.

Sebastien Bacher (seb128) wrote :

run gvfs-mount smb://server/share on a command line, give your use and password then and note if that works correctly

rob van dyck (rob-van-dyck) wrote :

This seems to fail. Is there any way to get a more detailed error message?

rvandyck@w2jzvbhb01:~$ gvfs-mount smb://larry.mmis.be/imjv
Password required for share imjv on larry.mmis.be
User [rvandyck]: rvandyck
Domain [WORKGROUP]:
Password:
Error mounting location: Failed to mount Windows share

rvandyck@w2jzvbhb01:~$ gvfs-mount smb://larry.mmis.be/
Error mounting location: Location is already mounted

Sebastien Bacher (seb128) wrote :

not sure how to get easily debug informations, do you have access to the server? could you look to the samba log there if there is an indication of the issue?

rob van dyck (rob-van-dyck) wrote :

I don't have direct access to it. Any other way how I can help you pinpoint the problem?

Sebastien Bacher (seb128) wrote :

do you know how to debug code in C?

talking to the admin of the server :)

On Tue, Mar 25, 2008 at 2:18 PM, Sebastien Bacher <email address hidden> wrote:

> do you know how to debug code in C?
>
> --
> smb password protected share cannot be accessed
> https://bugs.launchpad.net/bugs/206439
> You received this bug notification because you are a direct subscriber
> of the bug.
>

rob van dyck (rob-van-dyck) wrote :
Download full text (3.5 KiB)

The samba service is running on MacOSX 10.4.6
I'm adding the log, maybe this will help you [to me it looks like nautilus closes the connection for some reason]. Maybe somebody with a mac can also reproduce this problem?

[2008/03/25 15:41:09, 2] /SourceCache/samba/samba-100.4/samba/source/passdb/pdb_interface.c:make_pdb_methods_name(654)
  No builtin backend found, trying to load plugin
[2008/03/25 15:41:09, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/pdb/opendirectorysam.so' loaded
[2008/03/25 15:41:09, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/auth/opendirectory.so' loaded
[2008/03/25 15:41:09, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [99]
[2008/03/25 15:41:09, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/vfs/darwin_acls.so' loaded
[2008/03/25 15:41:09, 1] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:make_connection_snum(648)
  192.168.101.55 (192.168.101.55) connect to service imjv initially as user unknown (uid=99, gid=99) (pid 24662)
[2008/03/25 15:41:09, 0] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:set_current_service(51)
  chdir (/Volumes/data/imjv) failed
[2008/03/25 15:41:13, 2] /SourceCache/samba/samba-100.4/samba/source/passdb/pdb_interface.c:make_pdb_methods_name(654)
  No builtin backend found, trying to load plugin
[2008/03/25 15:41:13, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/pdb/opendirectorysam.so' loaded
[2008/03/25 15:41:13, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/auth/opendirectory.so' loaded
[2008/03/25 15:41:13, 1]
auth_ods.c:opendirectory_smb_pwd_check_ntlmv1(387)
  opendirectory_smb_pwd_check_ntlmv1:
[0]opendirectory_user_auth_and_session_key key_length(0)
[2008/03/25 15:41:13, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [20]
[2008/03/25 15:41:13, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1027]
[2008/03/25 15:41:13, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1029]
[2008/03/25 15:41:13, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1025]
[2008/03/25 15:41:13, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1026]
[2008/03/25 15:41:13, 2] /SourceCache/samba/samba-100.4/samba/source/auth/auth.c:check_ntlm_password(360)
  check_ntlm_password: authentication for user [rvandyck] -> [rvandyck] -> [rvandyck] succeeded
[2008/03/25 15:41:13, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/vfs/darwin_acls.so' loaded
[2008/03/25 15:41:14, 1] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:make_connection_snum(648)
  w2jzvbhb01 (192.168.101.55) connect to service imjv initially as user rvandyck (uid=2596, gid=20) (pid 24663)
[2008/03/25 15:41:14, 1] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:close_cnum(836)
  w2jzvbhb01 (192.168.101.55) closed connection to service imjv
[2008/03/25 15:41:14, 2] /SourceCache/...

Read more...

Sebastien Bacher (seb128) wrote :

your gvfs-mount calls seem to indicate that you get the error but that the share gets mounted anyway, is it listed on the desktop or in the nautilus locations?

Sebastien Bacher (seb128) wrote :

could you also restart your session, run /usr/lib/gvfs/gvfsd -r on a command line and run the gvfs-mount on an another one and copy the gvfsd log to a comment when trying to mount the location?

rob van dyck (rob-van-dyck) wrote :

it does not get listed.

after a restart:
log:
rvandyck@w2jzvbhb01:~$ /usr/lib/gvfs/gvfsd -r
Added new job source 0x807a018 (GVfsBackendSmbBrowse)
Queued new job 0x807b000 (GVfsJobMount)
send_reply, failed: 0
register_mount_callback, mount_reply: 0x806f9b0, error: (nil)
Added new job source 0x807ac18 (GVfsBackendSmb)
Queued new job 0x807b400 (GVfsJobMount)
send_reply, failed: 1

commands:
rvandyck@w2jzvbhb01:~$ gvfs-mount smb://larry.mmis.be/
rvandyck@w2jzvbhb01:~$ gvfs-mount smb://larry.mmis.be/imjv
Password required for share imjv on larry.mmis.be
User [rvandyck]:
Domain [WORKGROUP]:
Password:
Error mounting location: Failed to mount Windows share

Sebastien Bacher (seb128) wrote :

Do you use an i386 installation? Could you install this deb, and retry to get a mount log? It'll display quite some information, could you verify that there is nothing confidential, replacing some text is not an issue and attach that to a comment? You might only attach the errors if there is something revelant

rob van dyck (rob-van-dyck) wrote :

Here you go Sebastien:

rvandyck@w2jzvbhb01:~$ gvfs-mount smb://larry.mmis.be/imjv
Password required for share imjv on larry.mmis.be
User [rvandyck]:
Domain [WORKGROUP]:
Password:
Error mounting location: Failed to mount Windows share

I'll attach the log.

Sebastien Bacher (seb128) wrote :

Thanks for your work on that. I talked with upstream about the issue again, there is a stat call not working there and that's not clear why, would it be possible to ask the administrator to get a server side log using 10 as log level to show why the stat is not working there?

rob van dyck (rob-van-dyck) wrote :

Glad to help.

I think he will agree, but since he is unavailable today I cannot confirm this untill tomorrow.

rob van dyck (rob-van-dyck) wrote :
Download full text (4.1 KiB)

Ok, this is the server side lmog with logging level on 'high' [the highest level ;-].

/private/var/log/samba root# tail -f log.smbd
[2008/03/27 16:00:35, 0] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:set_current_service(51)
  chdir (/Volumes/data/imjv) failed
[2008/03/27 16:00:57, 2] /SourceCache/samba/samba-100.4/samba/source/smbd/process.c:timeout_processing(1400)
  Closing idle connection 2.
[2008/03/27 16:00:57, 2] /SourceCache/samba/samba-100.4/samba/source/smbd/server.c:exit_server(595)
  Closing connections
[2008/03/27 16:00:57, 1] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:close_cnum(836)
  amedee (192.168.101.2) closed connection to service scan
[2008/03/27 16:00:57, 1] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:close_cnum(836)
  amedee (192.168.101.2) closed connection to service MIS
[2008/03/27 16:03:32, 2] /SourceCache/samba/samba-100.4/samba/source/passdb/pdb_interface.c:make_pdb_methods_name(654)
  No builtin backend found, trying to load plugin
[2008/03/27 16:03:32, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/pdb/opendirectorysam.so' loaded
[2008/03/27 16:03:32, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/auth/opendirectory.so' loaded
[2008/03/27 16:03:32, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [99]
[2008/03/27 16:03:32, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/vfs/darwin_acls.so' loaded
[2008/03/27 16:03:32, 1] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:make_connection_snum(648)
  192.168.101.55 (192.168.101.55) connect to service imjv initially
as user unknown (uid=99, gid=99) (pid 25092)
[2008/03/27 16:03:32, 0] /SourceCache/samba/samba-100.4/samba/source/smbd/service.c:set_current_service(51)
  chdir (/Volumes/data/imjv) failed
[2008/03/27 16:03:36, 2] /SourceCache/samba/samba-100.4/samba/source/passdb/pdb_interface.c:make_pdb_methods_name(654)
  No builtin backend found, trying to load plugin
[2008/03/27 16:03:36, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/pdb/opendirectorysam.so' loaded
[2008/03/27 16:03:36, 2] /SourceCache/samba/samba-100.4/samba/source/lib/module.c:do_smb_load_module(63)
  Module '/usr/lib/samba/auth/opendirectory.so' loaded
[2008/03/27 16:03:36, 1]
auth_ods.c:opendirectory_smb_pwd_check_ntlmv1(387)
  opendirectory_smb_pwd_check_ntlmv1:
[0]opendirectory_user_auth_and_session_key key_length(0)
[2008/03/27 16:03:36, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [20]
[2008/03/27 16:03:36, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1027]
[2008/03/27 16:03:36, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1029]
[2008/03/27 16:03:36, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1025]
[2008/03/27 16:03:36, 1] pdb_ods.c:odssam_getgrgid(2870)
  odssam_getgrgid: gid [1026]
[2008/03/27 16:03:36, 2] /SourceCache/samba/samba-100.4/samba/source/auth/auth.c:check_ntlm_password(360)
  check_ntlm_password: authentication for us...

Read more...

rob van dyck (rob-van-dyck) wrote :

Any status update on this? Can I help in any way?

Tom Andrews (tgandrews) wrote :

I experience the same problem running x86_64 Hardy 8.04 beta and x86_64 & x86 7.10.

Sebastien Bacher (seb128) wrote :

no update no, the log has nothing obvious and the upstream main hacker who was working on it is on holidays and away from coding for a few months now so it's not likely to get actively worked soon right now

Wayne Towe (wwtowe) wrote :

I have the same issue running Hardy 8.04 beta. I have had the problem since Hardy Alpha. I upgraded from Gutsy.

I can access public SMB shares via Nautilus OK.

When trying to access a password protected share I get the error message that says:

"Can't display location "smb://server/share/"
The specified location is not mounted.

After I click OK to close the error message the share will show up in Nautilus, but when I try to access it I get the error:

"The folder contents could not be displayed.
You do not have permissions necessary to
view the contents of "sharename on servername".

After this error occurs I will have two instances of the share showing up in Nautilus, neither of which is accessible.

I am 100% certain I have proper permissions and my credentials are entered correctly.

I can connect to the share via smbclient.

I had no problem connecting to shares when I was running gutsy.

Sebastien Bacher (seb128) wrote :

What smb server do you use?

Wayne Towe (wwtowe) wrote :

Thanks for the quick reply Sebastien!

In my case the servers hosting the shares I have tried to connect to are running MS Windows 2000 Advanced Server.

I have this same issue on three different computers all upgraded to Hardy from Gutsy.

I didn't file a bug report sooner because I just figured it was something that was in flux during alpha and beta, but since the final release date is drawing near and it hasn't gotten any better I did some research and found this bug report which matched the problem I was experiencing.

Sebastien Bacher (seb128) wrote :

unconfirming, I've no similar setup to trigger the issue but that seems something to consider for hardy-updates

Changed in gvfs:
importance: Low → High
status: Incomplete → New
SteveGotthardt (gotthardt) wrote :

I have the same problem with hardy. I can no longer create folders, copy docs, etc to smb shares.
When I run smbstatus on the server, I do not show up:
Samba version 3.0.26a
PID Username Group Machine
-------------------------------------------------------------------

I used to show up with my username and group and had no problem using shares.

In nautilus I would do a: smb://steve@10.10.10.34/share and then I would have permission to access shares.
There is nothing in the logs - I will turn up the verbosity and try again.

BTW - I can code in 'C' very well - Point me in the right direction and I will take a look.

Steve

Sebastien Bacher (seb128) wrote :

Can you log on the server? Does it ask for password and login? Does "gvfs-mount server" work correctly? What sort of server configuration do you use?

SteveGotthardt (gotthardt) wrote :

I turned the logging up to 9 and restarted samba - I didn't get any log entries for the access problems.

I do not get asked for a username or password when mounting the smb dir by either:
gvfs-mount smb://10.10.10.34/os
gvfs-mount smb://steve@10.10.10.34/os
both attempts return without asking for anything - a mount is shown on the desktop - if I try and create a new folder, I get an error box with extra info showing 'read only file system'. If I use gutsy, I can create/delete, etc.

I can mount and use my home directory - it does not ask for a login or password. I can create/delete files, etc.
I had previously used the 'connect to server' and it did not ask for a password. I see that seahorse does have my password set up for the server. When I use my home dir on the server I do show up in the smbstatus on the server:

Samba version 3.0.26a
PID Username Group Machine
-------------------------------------------------------------------
31613 steve developer gamebox2 (10.10.10.20)
31639 steve developer gamebox2 (10.10.10.20)
31759 steve developer gamebox2 (10.10.10.20)

Service pid machine Connected at
-------------------------------------------------------
IPC$ 31567 gamebox2 Sat Apr 19 11:48:35 2008
steve 31759 gamebox2 Sat Apr 19 12:21:39 2008
IPC$ 31619 gamebox2 Sat Apr 19 11:53:24 2008
IPC$ 31566 gamebox2 Sat Apr 19 11:48:32 2008
IPC$ 31568 gamebox2 Sat Apr 19 11:48:40 2008
steve 31613 gamebox2 Sat Apr 19 11:52:00 2008
os 31639 gamebox2 Sat Apr 19 11:57:08 2008

My server config has not changed for months (except for the log to 9 instead of 3). I have attached it.

Sebastien Bacher (seb128) wrote :

The bug seems to describe different issues now. Steve your issue seem to be that there is no way to enter credentials when the share can be used in anonymous access, correct?

SteveGotthardt (gotthardt) wrote :

Yes, I think you have stated it clearly. I cannot make it take my credentials as 'steve' so that I can gain write permission.

Sebastien Bacher (seb128) wrote :

I've opened http://bugzilla.gnome.org/show_bug.cgi?id=529365 upstream about the credentials issue, that seems to be a different bug than the one described there though

Lionel Dricot (ploum) wrote :

I confirm this bug.

When I browse the SMB network at work, I can see the computers connected and, if I want to browse one, I only see an empty window with 0 elements (at this point it should ask for my password).

Using gvfs-mount works perfectly.

Sebastien Bacher (seb128) wrote :

lionel, that seems yet another issue if using gvfs-mount works correctly, could you open a new bug on nautilus?

Sebastien Bacher (seb128) wrote :

Lionel, your bug seems to be a duplicate of http://bugzilla.gnome.org/show_bug.cgi?id=529365, that was not clear from your previous comment, that's the issue when everybody comment on the same bug about different things

Lionel Dricot (ploum) wrote :

Well, as you told me, gvfs-mount works correctly so I opened a new bug. But feel free to mark it as duplicate. Anyway, it looks more like a nautilus bug than a gvfs one. (Simply : nautilus doesn't ask for password when it should and gvfs-mount does)

Jaif (jaif) wrote :

I have got the same problem here with Hardy 64-bit.
gvfs-mount does not work, but smbmount works perfect when mounting a password protected share. gvfs-mount also works on non password protected shares.
The resource is shared with samba 3.0.24-6etch9 on Debian Etch. By looking at the samba log, it seems that samba thinks that the password is wrong.

[2008/04/25 20:14:16, 3] libsmb/ntlm_check.c:ntlm_password_check(455)
  ntlm_password_check: LM password, NT MD4 password in LM field and LMv2
failed for user jaif
...
...
...
[2008/04/25 20:14:16, 2] auth/auth.c:check_ntlm_password(319)
  check_ntlm_password: Authentication for user [jaif] -> [jaif] FAILED
with error NT_STATUS_WRONG_PASSWORD

I can confirm this too with password protected samba shares.

Nautlius does not ask for credentials.

gvfs-mount does, but the created share does not work.
funny thing is when using the IP number instead of the host name, everything works as expected (nautilus and gvfs-mount). In this case credentials are asked and used.

e.g. smb://media/music works not, smb://192.168.0.4/music works.

hope this helps.

rob van dyck (rob-van-dyck) wrote :
  • unnamed Edit (1.3 KiB, text/html; charset=ISO-8859-1)

With me Nautilus always asks for credentials for password protected shares,
but a message 'failed to load windows share' always comes up. Also when
using the ip isntead of the dns name.

Kind regards,
Rob.

On Sat, Apr 26, 2008 at 12:12 AM, Markus Eisenstoeck <
<email address hidden>> wrote:

> I can confirm this too with password protected samba shares.
>
> Nautlius does not ask for credentials.
>
> gvfs-mount does, but the created share does not work.
> funny thing is when using the IP number instead of the host name,
> everything works as expected (nautilus and gvfs-mount). In this case
> credentials are asked and used.
>
> e.g. smb://media/music works not, smb://192.168.0.4/music works.
>
> hope this helps.
>
> --
> smb password protected share cannot be accessed
> https://bugs.launchpad.net/bugs/206439
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Yashka Oreza (yashka) wrote :

I've managed to achieve the proper privileges, but *only* by disabling the guest account on that share, which isn't a viable solution in most cases.

The initial mounting (after being prompted for a password) seems to fail with the error: "The specified location was not mounted"

However, the share becomes visible in the sidebar and can then be browsed with the proper privileges.

So it seems like there's a bunch of stuff going wrong here.

Sebastien Bacher (seb128) wrote :

could you read bug #209520, bug #223372, bug #207072 and see if you issues is one of those?

Christoph Shipley (champro) wrote :

I have similar issues with Samba shares and gvfs. I can use the Connect to Server dialog just fine when connecting from a Hardy desktop to a Hardy server using SSH, but it all falls flat when trying to connect using authenticated Samba. I can still connect using the gvfs-mount command, but I have to use the server's IP and not its name.

However, when I try to connect to a Debian based D-Link DNS-323 (running Samba 3.x) neither the Connect to Server dialog or the gvfs-mount command work. I just get "Error mounting location: Failed to mount Windows share".

In summary, bug duplicated.

Juan J. Martínez (jjmartinez) wrote :

I confirm the problem with Hardy (final).

Notice that my shares are configurated with "security = share".

Sebastien Bacher (seb128) wrote :

could somebody describe exactly how to configure a server to get this issue? without a way to trigger the bug it's hard to debug it

Rafal Zieba (raffee) wrote :

I don't know if it helps, but for me it hapens only for one of my shares (except home which is invisible). I have security=user and few shares. All are accesible except one which is set to read/write (as the only of them).
There are parts of my smb.conf (I think the most important):
[global]
security = user
encrypt passwords = true
update encrypted = no
unix password sync = no
nt acl support = no
domain logons = yes
domain master = yes
local master = yes
preferred master = yes
wins support = no
announce as = NT server
[pub]
writable = yes
locking = no
path = /home/samba/pub
public = yes
[mmedia]
writable = no
locking = no
path = /home/samba/mmedia
public = no
writelist = @domadmin

There's no problem to access mmedia share, but Hardy couldn't mount pub share in any way.

Rafal Zieba (raffee) wrote :

I just realized that the problem is with

[share]
public = yes

I turned it to
public = no

and it works...
I don't know if it helps anyone but it works for me in the meaning I demand. :-)

Yashka Oreza (yashka) wrote :

My server's a mac with leopard's samba (version 3.0.25b-apple)
The share is set up as a usershare and I can mount it with autofs as cifs without issue.

Smb.conf:

[global]
    debug pid = yes
    log level = 1
    server string = Mac OS X

    printcap name = cups
    printing = cups

    encrypt passwords = yes
    use spnego = yes

    passdb backend = odsam

    idmap domains = default
    idmap config default: default = yes
    idmap config default: backend = odsam
    idmap alloc backend = odsam
    idmap negative cache time = 5

    map to guest = Bad User
    guest account = nobody

    unix charset = UTF-8-MAC
    display charset = UTF-8-MAC
    dos charset = 437

    vfs objects = darwinacl,darwin_streams

    os level = 2
    domain master = no

    max xmit = 131072
    use sendfile = yes

    stream support = yes
    ea support = yes

    darwin_streams:brlm = yes

    enable core files = yes

    usershare max shares = 1000
    usershare path = /var/samba/shares
    usershare owner only = no
    usershare allow guests = yes
    usershare allow full config = yes

    com.apple:filter shares by access = yes

    obey pam restrictions = yes

    name resolve order = lmhosts wins bcast host

    include = /var/db/smb.con

my one and only usershare, which is the source of the problem:

#VERSION 3
path=/Storage/Music
comment=Music
usershare_acl=S-1-1-0:F
guest ok=yes
directory mask=755
create mask=644

Sebastien Bacher (seb128) wrote :

> There's no problem to access mmedia share, but Hardy couldn't mount pub share in any way.

similar configuration works correctly there, could you run those commands and attach the logs to the bug?
- ls -ld /home
- ls -ld /home/samba
- ls -ld /home/samba/pub

Sebastien Bacher (seb128) wrote :

> The share is set up as a usershare and I can mount it with autofs as cifs without issue.

using a similar config seems to not work on ubuntu, could be a permission issue on the directory used though

Yashka Oreza (yashka) wrote :

So the directory itself has read-only permission designated for one user (who is a samba user) and permission denied for all the others except system users who are not samba users.

Rafal Zieba (raffee) wrote :

> could you run those commands and attach the logs to the bug?
~$ ls -ld /home
drwxrwx--x 9 root users 4096 2006-04-01 18:34 /home
~$ ls -ld /home/samba
drwxrwx--- 5 root users 4096 2006-07-25 18:56 /home/samba
~$ ls -ld /home/samba/pub
drwxrwxr-x 7 root users 4096 2008-03-04 18:28 /home/samba/pub

SteveGotthardt (gotthardt) wrote :

How to reproduce:
I have a share setup as follows:

[devel]
comment = Development files.
path = /massive/devel
public = yes
printable = no
guest ok = yes
write list = steve
browsable = yes

I no longer get asked for credentials (hardy 8.04) when I browse to the directory. In previous (7.10) I would use steve@server/devel and it would allow me to write. It seems the write list is ignored...

Steve

--- On Tue, 5/20/08, Sebastien Bacher <email address hidden> wrote:

> From: Sebastien Bacher <email address hidden>
> Subject: [Bug 206439] Re: smb password protected share cannot be accessed
> To: <email address hidden>
> Date: Tuesday, May 20, 2008, 5:50 AM
> could somebody describe exactly how to configure a server to
> get this
> issue? without a way to trigger the bug it's hard to
> debug it
>
> --
> smb password protected share cannot be accessed
> https://bugs.launchpad.net/bugs/206439
> You received this bug notification because you are a direct
> subscriber
> of the bug.

Sebastien Bacher (seb128) wrote :

> I have a share setup as follows:

what security setting to you use in your configuration? how do you set the password to access those shares?

SteveGotthardt (gotthardt) wrote :

--- On Thu, 5/22/08, Sebastien Bacher <email address hidden> wrote:

> From: Sebastien Bacher <email address hidden>
> Subject: [Bug 206439] Re: smb password protected share cannot be accessed
> To: <email address hidden>
> Date: Thursday, May 22, 2008, 12:23 AM
> > I have a share setup as follows:
>
> what security setting to you use in your configuration? how
> do you set
> the password to access those shares?
>

security = user

# You may wish to use password encryption. See the section on
# 'encrypt passwords' in the smb.conf(5) manpage before enabling.
   encrypt passwords = true

# If you are using encrypted passwords, Samba will need to know what
# password database type you are using.
   passdb backend = tdbsam

   obey pam restrictions = yes

guest account = nobody
invalid users = root

null passwords = yes
#map to guest = Bad Password
password level = 0

> --
> smb password protected share cannot be accessed
> https://bugs.launchpad.net/bugs/206439
> You received this bug notification because you are a direct
> subscriber
> of the bug.

There might be some details that help shed more light on the situation here: http://mail.gnome.org/archives/gvfs-list/2008-May/msg00005.html

Specifically:
- we have username, domain, server and share parameters available to be
set into mountspec. However username and domain shouldn't be set unless
we really need them. At the moment, non-anonymous mounts have both
username and domain set which confuses Nautilus.
This causes troubles when user gvfs-mount's smb://server/share but
gvfs-ls can't find this location mounted then because it has username
and domain set in mountspec.

Sebastien Bacher (seb128) wrote :

that's rather a gvfs than a nautilus issue

Changed in nautilus:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Invalid
Sebastien Bacher (seb128) wrote :

do you still get the issue using the current versions? does smbclient work correctly? does using the ip address directly rather than the server name makes a difference?

See also Bug 221387; it might be a duplicate.

MilkaJinka (milkajinka) wrote :

Same problem here :
- a CIFS share (Alfresco) on the network, requiring authentication
- this share is accessible through OpenVPN
- mount.cifs works flawlessly
- gnome-vfs in previous versions of Ubuntu worked flawlessly
- gvfs (via Nautilus or in a terminal with gvfs-mount) refuses to mount the share ("Error mounting location"). I use the direct IP address here
- shares that don't need authentication don't have this problem

Richard Rickwood (rickwookie) wrote :

It would be great if somebody in the know could shed some light on whether or not anyone is working on a solution to this problem.

Sebastien Bacher (seb128) wrote :

Could somebody haivng the issue send the bug to bugzilla.gnome.org where the people writting the code read the bug

lilbudda (cory-meisch-gmail) wrote :

http://bugzilla.gnome.org/show_bug.cgi?id=522494

Seems to be the upstream report.

Sebastien Bacher (seb128) wrote :

could be bug #193232 on launchpad

Changed in gvfs:
status: New → Triaged
Changed in gvfs:
status: Unknown → New
PardusLynx (parduslynx) wrote :

@lilbudda and Sebastian: Those links look like different issues. The problem is not blank windows.

I am having exactly the same problem as in the first message with ubuntu 8.0.4 while trying to connec to a MS Active Directory share with user permission. I installed both "ubuntu 8.0.4" and "kubuntu 8.0.4" vmware. Updated them. While I have this problem with ubuntu, kubuntu works smooth. So it is a problem with gnome. What I do for now is to mount the network drives. That's the only way I could find to make ubuntu work around this problem.

I hope some people are working on this problem, looking at the dates of messages above this bug exists for months without any solution!

SteveGotthardt (gotthardt) wrote :

Last night I got updates for the upcoming Ubuntu release (8.10) and I can FINALLY (yes, it has been months) access shares by:
username@server/sharename where I have read/write access and others have read-only. That fixed this bug for my access problems.

PardusLynx (parduslynx) wrote :

Good News!

PardusLynx (parduslynx) wrote :

I installed 8.10 on vmware and applied all updates but nothing has changed. The problem is still there for me!

PardusLynx (parduslynx) wrote :

Sorry about putting so many messages in a row but this is a major problem for me and I'm sure for many people out there while trying to find an alternative OS at work. It has been really so many months since this bug was announced by users but I see no progress about a solution. A new ubuntu release is on the way but it is about to be released with this bug too. With this bug it is impossible to use ubuntu in a network enviroment efficiently. Could somebody please at least confirm that someone is working on a fix?

Bart Rose (jbrose3) wrote :

I believe I'm having this issue in Intrepid as well. I cannot connect to a password protected share using gvfs-mount from either the command line or via nautilus, but I am able to using smbmount. I can connect through gvfs-mount if it is not password protected. This was not an issue in Hardy.

Carsten Schurig (c-schurig) wrote :

Can confirm this bug on Intrepid. The server side is Samba 3.0.24 running on a DSL router. Connecting using other means (mount.cifs, pyNeighbohood) works fine.

Alex C (alexcrouch) wrote :

I am just posting this to let you guys know I am having the same problem. I can access shares without a password fine, but the UI just crashes when I try accessing a password protected folder.

I am however able to access password protected windows shares by using konqueror and typing smb://user:password@192.168.0.1xx/ into the address bar. This will let me browse my previously unreadable shares but I don't have any permissions to read, write or execute!

Sebastien Bacher (seb128) wrote :

Could you try if that's still an issue in jaunty?

wolfwitch (wolf-mylunarden) wrote :

I just installed Jaunty on a test machine, and the Network browser works!!!

uPnP devices show up, and if I click on an MS-AD resource- it prompts me for my login credentials (just like way back in Gutsy).

So- it appears this whole mess is finally fixed in Jaunty.

Thank you to everyone who worked on this!

wolfwitch (wolf-mylunarden) wrote :

Sorry- I just realized this was a different bug than the one I actually meant to look up. Windows AD shares work fine now, but I don't use password-protected SMB shares, so I can't actually confirm that this exact bug is fixed. Sorry for the confusion.

Sebastien Bacher (seb128) wrote :

does anybody still get the issue in jaunty and summarize how to trigger the bug on what configuration, what error is displayed etc?

Changed in gvfs (Ubuntu):
status: Triaged → Incomplete
Bart Rose (jbrose3) wrote :

I'm still having the same issue in Jaunty. I'm trying to connect to a password protected folder on a Simpleshare 250 NAS and I'm getting the following error:

"Error mounting location: Failed to mount Windows share"

This is repeatable using gvfs-mount smb://server/share.

However, the following works perfectly:
    sudo smbmount //server_ip/share /mnt/netfolder --verbose

Sebastien Bacher (seb128) wrote :

could you run "/usr/lib/gvfs/gvfsd -r" on a command line then "gvfs-mount smb://mnt/netfolder" and copy the log to the bug?

Bart Rose (jbrose3) wrote :

Should that be "/usr/lib/gvfs/gvfsd -r &"?
Also, which log do you want?

Sebastien Bacher (seb128) wrote :

no you don't want to use "&", the goal is to have the gvfsd debug output which will be printed where you run the server, just run the mount command which trigger the error and copy the gvfsd server to the bug

Sebastien Bacher (seb128) wrote :

you can also run GVFS_DEBUG_SMB=1 /usr/lib/gvfs/gvfsd -r to get extra debugging informations

Bart Rose (jbrose3) wrote :

If I run the commands in separate terminals, there is no output in the gvfsd -r terminal and the same error in the gvfs-mount terminal.

Bart Rose (jbrose3) wrote :

GVFS_DEBUG_SMB=1 /usr/lib/gvfs/gvfsd -r also gives no output...

Sebastien Bacher (seb128) wrote :

that's really weird, what gvfs-mount command do you run?

Bart Rose (jbrose3) wrote :

gvfs-mount smb://name_of_server/name_of_shared_folder

Bart Rose (jbrose3) wrote :

This is what smbmount gives, and it mounts fine.

bart@AAO-Lin:~$ sudo smbmount //192.168.1.101/name_of_shared_folder /mnt/netfolder --verbose
[sudo] password for bart:
Password:

mount.cifs kernel mount options unc=//192.168.1.101\backup,user=root,pass=pswd,ver=1

I wonder if this has to do with the logic in gvfs-mount v smbmount on how they handle usernames and domains. The smbmount command does not require a username or domain to be specified, while gvfs-mount does. My NAS doesn't have usernames associated with folders, and as far as I know I'm entering the correct domain.

Just FYI, replacing name_of_server with ip address in gvfs-mount doesn't change things either.

Conor (conor-turton-hotmail) wrote :

I'm not good at writing these so please forgive me...

I may have found the problem in regard to "Failed to retrieve list from Server" in 9.04.
I noted that when I tried to do smbtree, it showed the Windows box but then tried to connect to an IP address in my ISPs range before coming up with a NT_AUTHENTICATION error.

After much digging around, I looked in /etc/nsswitch.conf.

In the hosts: line, files and dns were listed but wins wasn't so it'd look like:

hosts: files dns

As soon as I added wins after files so it looks like this:

hosts: files wins dns

 then rebooted, it all worked perfectly. Places, Network instantly showed the Windows box and the workgroup. Clicking on the windows box brought up the password and user dialogue box and all shares were shown. Clicking on the workgroup, then the server worked the same. In addition to that, the Add Printer search function now works instead of timing out when you get to the Windows box it's attached to.

Sebastien Bacher (seb128) wrote :

the new comment seems a different issue and a samba one

Christoph Shipley (champro) wrote :

I get no output as well from /usr/lib/gvfs/gvfsd -r or GVFS_DEBUG_SMB=1 /usr/lib/gvfs/gvfsd -r

Here's the terminal output:
zoph@clow:~$ gvfs-mount smb://10.1.1.5/Volume_1/
Password required for share volume_1 on 10.1.1.5
User [zoph]: zoph
Domain [WORKGROUP]: sakura
Password:
Error mounting location: Failed to mount Windows share

I'm using a D-link DNS-323 v1.07 and running Jaunty. Using a smbmount command does work.

Kirby (usawebbox) wrote :

On fully updated Ubuntu 8.04.2 LTS:

gvfs-mount smb://10.10.16.49/applesw/
Error mounting location: Failed to mount Windows share

other terminal:
~$ GVFS_DEBUG_SMB=1 /usr/lib/gvfs/gvfsd -r
Added new job source 0x807ac18 (GVfsBackendSmb)
Queued new job 0x807b400 (GVfsJobMount)
send_reply, failed: 1

The server is an Apple AirPort Extreme with usb hard drive (accessed over ethernet, not wirelessly).
PCs and Macs can access.
I can mount it with smbmount.
With gvfs-mount I don't even get prompted for password.

These types of network devices have very little configuration on the server side, and between this and Gnome Bug 529365 (still unconfirmed after 4 confirmations?!), I have a hard time using either of our smb shares.

Is there any more data I can provide. Logs? Wireshark capture?

Conor (conor-turton-hotmail) wrote :

Please try the following which I found worked for 9.04.

Install winbind.

sudo apt-get install winbind

Edit /etc/nsswitch.conf

sudo gedit /etc/nsswitch.conf

Look for the line...

hosts: files (etc)

If yours is like mine was when it didn't work, it'll read something like:

hosts: files mdns4_minimal [NOTFOUND=return] dns mdns4

..although what is there will vary but files and dns will be there.
What is missing is an entry for wins.

You need to add wins after files so it looks like (alter as required):

hosts: files wins mdns4_minimal [NOTFOUND=return] dns mdns4

Save the file and reboot.

Please post your findings.

Kirby (usawebbox) wrote :

I did the install. The files were as you said, so I made those changes. It took about a minute to fail.

~$ gvfs-mount smb://10.10.16.49/applesw

~$ GVFS_DEBUG_SMB=1 /usr/lib/gvfs/gvfsd -r
Added new job source 0x807ac18 (GVfsBackendSmb)
Queued new job 0x807b400 (GVfsJobMount)
Receiving SMB: Server stopped responding
Receiving SMB: Server stopped responding
send_reply, failed: 1

smbmount still works.

Gonzalo Palarea (gpalarea) wrote :

For those of you who have not been able to mount password protected smb shares, I had the same issue, and I did as described in this link and it worked:

http://ubuntuforums.org/showthread.php?t=1170587

Now I can mount the password protected smb shares as expected!

Bart Rose (jbrose3) wrote :

It works! Thank you, I have been dealing with this glitch for two releases now. Brilliant.

Changed in gvfs:
importance: Unknown → High
status: New → Expired
Paul Chau (chichau) wrote :

For me on karmic amd64.

I add the following line to the global section of smb.conf

client use spnego = no

This allowed me to connect to windows 7 shares and printer with my choice of password protected or not.

Adrian (ruewan) wrote :

I don't you about you guys, but for me the problem was my machine name. Seems like it can only be 15 characters long. I shorten mine and then I was able to access the samba shares. There is a blog about it here http://developerslog.org/?p=73

Sebastien Bacher (seb128) wrote :

is that still an issue? comment #96 seems a specific smb limitation or bug which might be different from this bug

wolfwitch (wolf-mylunarden) wrote :

I actually thought this had been resolved and closed years ago...

Sent from my iPhone

On Jan 25, 2012, at 12:49, Sebastien Bacher <email address hidden> wrote:

> is that still an issue? comment #96 seems a specific smb limitation or
> bug which might be different from this bug
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/206439
>
> Title:
> smb password protected share cannot be accessed
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gvfs/+bug/206439/+subscriptions

Sebastien Bacher (seb128) wrote :

bug #735072 discuss the hostname length,samba issue

Changed in gvfs (Baltix):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.